%define upstream_name    Devel-REPL
%define upstream_version 1.003014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    a modern perl interactive shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Nopaste)
BuildRequires: perl(B::Concise)
BuildRequires: perl(B::Keywords)
BuildRequires: perl(Data::Dump::Streamer)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Next)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Lexical::Persistence)
BuildRequires: perl(Module::Refresh)
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires: perl(PPI)
BuildRequires: perl(Sys::SigAction)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or
testing of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/re.pl

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.14-2.mga3
+ Revision: 365796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:1.3.14-1.mga3
+ Revision: 315015
- update to 1.003014

* Tue Jun 05 2012 jquelin <jquelin> 1:1.3.13-1.mga3
+ Revision: 255750
- adding missing buildrequires:
- update to 1.003013

* Tue Jan 25 2011 jquelin <jquelin> 1:1.3.12-1.mga1
+ Revision: 38477
- mageia rebuild
- imported package perl-Devel-REPL

